Escalada de privilegios en Symantec LiveUpdate

SeguridadVirus

Se ha anunciado una vulnerabilidad en el componente Automatic LiveUpdate
de Symantec.

Dicho problema puede ser explotado por usuarios locales maliciosos para

realizar un ataque de escalada de privilegios en un sistema afectado.

LiveUpdate es una herramienta incluida en muchos productos Symantec que sirve

para descargar actualizaciones de los servidores de la compañía. Forma

parte de, por ejemplo, el famoso paquete Norton Antivirus.

Cuando

una versión vulnerable de Automatic LiveUpdate se lanza inicialmente en

el arranque, se le asignan derechos de sistema. Mientras la sesión está

disponible, un usuario con privilegios menores podría manipular la

funcionalidad del GUI de LiveUpdate para realizar la escalada de

privilegios en la máquina local. Esto le daría la posibilidad de, por

ejemplo, tener acceso a los archivos del sistema, adquirir todos los

permisos para ficheros y directorios o sencillamente, incluirse en el

grupo de administradores.

La vulnerabilidad afecta a los

siguientes productos:

– Symantec LiveUpdate, de la versión 1.70.x

a la 1.90.x

– Norton SystemWorks 2001-2004

– Norton AntiVirus

2001-2004

– Norton Internet Security 2001-2004

– Symantec

AntiVirus for Handhelds v3.0

No afecta a los siguientes:

Symantec Windows LiveUpdate v2.x

– Symantec Java LiveUpdate (todas

las versiones)

– Symantec Enterprise products (no soportan el

Automatic LiveUpdate)

Para comprobar la versión de LiveUpdate que

estamos utilizando sólo es necesario acceder al About LiveUpdate.

Se recomienda actualizar con LiveUpdate o instalar manualmente LiveUpdate 2.0,

disponible en la siguiente .

Leer la biografía del autor  Ocultar la biografía del autor